%define major 1
%define libname %mklibname sidplay %{major}
%define develname %mklibname sidplay -d

Summary:	A Commodore 64 music player and SID chip emulator library
Name:		libsidplay
Version:	1.36.60
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Libraries
URL:		http://home.arcor.de/ms2002sep/bak/
Source:		%{name}-%{version}.tar.xz
Patch1:		libsidplay-1.36.60-gcc7.patch

%description
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it
you can play musics from Commodore 64 (or compatible) programs.

%package -n	%{libname}
Summary:	A Commodore 64 music player and SID chip emulator library
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n	%{libname}
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it
you can play musics from Commodore 64 (or compatible) programs.

%package -n	%{develname}
Summary:	Libraries and include files for developing libsidplay applications
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	sidplay-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname sidplay 1 -d}

%description -n	%{develname}
This package contains the header files and the static library for compiling
applications that use libsidplay.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static \
    --enable-optfixpoint \
    --enable-optendian
%make_build

%install
rm -rf %buildroot
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{develname}
%{_includedir}/sidplay
%{_libdir}/*.so


%changelog
* Sun May 30 2021 tex - 1.36.60-3pclos2021
- rebuild against updates
